live data for wastegate and launch control #3588

This commit is contained in:
rusefillc 2021-12-16 14:29:39 -05:00
parent 804d396fd6
commit 655f12b45d
3 changed files with 192 additions and 0 deletions

View File

@ -0,0 +1,112 @@
// this section was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/algo/launch_control_state.txt Thu Dec 16 14:29:02 EST 2021
// by class com.rusefi.output.CHeaderConsumer
// begin
#pragma once
#include "rusefi_types.h"
// start of launch_control_state_s
struct launch_control_state_s {
/**
* offset 0
*/
int retardThresholdRpm = (int)0;
/**
offset 4 bit 0 */
bool combinedConditions : 1 {};
/**
offset 4 bit 1 */
bool launchActivatePinState : 1 {};
/**
offset 4 bit 2 */
bool isLaunchCondition : 1 {};
/**
offset 4 bit 3 */
bool unusedBit_4_3 : 1 {};
/**
offset 4 bit 4 */
bool unusedBit_4_4 : 1 {};
/**
offset 4 bit 5 */
bool unusedBit_4_5 : 1 {};
/**
offset 4 bit 6 */
bool unusedBit_4_6 : 1 {};
/**
offset 4 bit 7 */
bool unusedBit_4_7 : 1 {};
/**
offset 4 bit 8 */
bool unusedBit_4_8 : 1 {};
/**
offset 4 bit 9 */
bool unusedBit_4_9 : 1 {};
/**
offset 4 bit 10 */
bool unusedBit_4_10 : 1 {};
/**
offset 4 bit 11 */
bool unusedBit_4_11 : 1 {};
/**
offset 4 bit 12 */
bool unusedBit_4_12 : 1 {};
/**
offset 4 bit 13 */
bool unusedBit_4_13 : 1 {};
/**
offset 4 bit 14 */
bool unusedBit_4_14 : 1 {};
/**
offset 4 bit 15 */
bool unusedBit_4_15 : 1 {};
/**
offset 4 bit 16 */
bool unusedBit_4_16 : 1 {};
/**
offset 4 bit 17 */
bool unusedBit_4_17 : 1 {};
/**
offset 4 bit 18 */
bool unusedBit_4_18 : 1 {};
/**
offset 4 bit 19 */
bool unusedBit_4_19 : 1 {};
/**
offset 4 bit 20 */
bool unusedBit_4_20 : 1 {};
/**
offset 4 bit 21 */
bool unusedBit_4_21 : 1 {};
/**
offset 4 bit 22 */
bool unusedBit_4_22 : 1 {};
/**
offset 4 bit 23 */
bool unusedBit_4_23 : 1 {};
/**
offset 4 bit 24 */
bool unusedBit_4_24 : 1 {};
/**
offset 4 bit 25 */
bool unusedBit_4_25 : 1 {};
/**
offset 4 bit 26 */
bool unusedBit_4_26 : 1 {};
/**
offset 4 bit 27 */
bool unusedBit_4_27 : 1 {};
/**
offset 4 bit 28 */
bool unusedBit_4_28 : 1 {};
/**
offset 4 bit 29 */
bool unusedBit_4_29 : 1 {};
/**
offset 4 bit 30 */
bool unusedBit_4_30 : 1 {};
/**
offset 4 bit 31 */
bool unusedBit_4_31 : 1 {};
/** total size 8*/
};
// end
// this section was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/algo/launch_control_state.txt Thu Dec 16 14:29:02 EST 2021

View File

@ -2,6 +2,9 @@
rm gen_live_documentation.log
bash gen_live_documentation_one_file.sh launch_control_state LaunchControl.java controllers/algo
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
bash gen_live_documentation_one_file.sh boost_control BoostControl.java controllers/actuators
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }

View File

@ -0,0 +1,77 @@
package com.rusefi.config.generated;
// this file was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/algo/launch_control_state.txt Thu Dec 16 14:29:02 EST 2021
// by class com.rusefi.output.FileJavaFieldsConsumer
import com.rusefi.config.*;
public class LaunchControl {
public static final Field RETARDTHRESHOLDRPM = Field.create("RETARDTHRESHOLDRPM", 0, FieldType.INT);
public static final Field COMBINEDCONDITIONS = Field.create("COMBINEDCONDITIONS", 4, FieldType.BIT, 0);
public static final Field LAUNCHACTIVATEPINSTATE = Field.create("LAUNCHACTIVATEPINSTATE", 4, FieldType.BIT, 1);
public static final Field ISLAUNCHCONDITION = Field.create("ISLAUNCHCONDITION", 4, FieldType.BIT, 2);
public static final Field UNUSEDBIT_4_3 = Field.create("UNUSEDBIT_4_3", 4, FieldType.BIT, 3);
public static final Field UNUSEDBIT_4_4 = Field.create("UNUSEDBIT_4_4", 4, FieldType.BIT, 4);
public static final Field UNUSEDBIT_4_5 = Field.create("UNUSEDBIT_4_5", 4, FieldType.BIT, 5);
public static final Field UNUSEDBIT_4_6 = Field.create("UNUSEDBIT_4_6", 4, FieldType.BIT, 6);
public static final Field UNUSEDBIT_4_7 = Field.create("UNUSEDBIT_4_7", 4, FieldType.BIT, 7);
public static final Field UNUSEDBIT_4_8 = Field.create("UNUSEDBIT_4_8", 4, FieldType.BIT, 8);
public static final Field UNUSEDBIT_4_9 = Field.create("UNUSEDBIT_4_9", 4, FieldType.BIT, 9);
public static final Field UNUSEDBIT_4_10 = Field.create("UNUSEDBIT_4_10", 4, FieldType.BIT, 10);
public static final Field UNUSEDBIT_4_11 = Field.create("UNUSEDBIT_4_11", 4, FieldType.BIT, 11);
public static final Field UNUSEDBIT_4_12 = Field.create("UNUSEDBIT_4_12", 4, FieldType.BIT, 12);
public static final Field UNUSEDBIT_4_13 = Field.create("UNUSEDBIT_4_13", 4, FieldType.BIT, 13);
public static final Field UNUSEDBIT_4_14 = Field.create("UNUSEDBIT_4_14", 4, FieldType.BIT, 14);
public static final Field UNUSEDBIT_4_15 = Field.create("UNUSEDBIT_4_15", 4, FieldType.BIT, 15);
public static final Field UNUSEDBIT_4_16 = Field.create("UNUSEDBIT_4_16", 4, FieldType.BIT, 16);
public static final Field UNUSEDBIT_4_17 = Field.create("UNUSEDBIT_4_17", 4, FieldType.BIT, 17);
public static final Field UNUSEDBIT_4_18 = Field.create("UNUSEDBIT_4_18", 4, FieldType.BIT, 18);
public static final Field UNUSEDBIT_4_19 = Field.create("UNUSEDBIT_4_19", 4, FieldType.BIT, 19);
public static final Field UNUSEDBIT_4_20 = Field.create("UNUSEDBIT_4_20", 4, FieldType.BIT, 20);
public static final Field UNUSEDBIT_4_21 = Field.create("UNUSEDBIT_4_21", 4, FieldType.BIT, 21);
public static final Field UNUSEDBIT_4_22 = Field.create("UNUSEDBIT_4_22", 4, FieldType.BIT, 22);
public static final Field UNUSEDBIT_4_23 = Field.create("UNUSEDBIT_4_23", 4, FieldType.BIT, 23);
public static final Field UNUSEDBIT_4_24 = Field.create("UNUSEDBIT_4_24", 4, FieldType.BIT, 24);
public static final Field UNUSEDBIT_4_25 = Field.create("UNUSEDBIT_4_25", 4, FieldType.BIT, 25);
public static final Field UNUSEDBIT_4_26 = Field.create("UNUSEDBIT_4_26", 4, FieldType.BIT, 26);
public static final Field UNUSEDBIT_4_27 = Field.create("UNUSEDBIT_4_27", 4, FieldType.BIT, 27);
public static final Field UNUSEDBIT_4_28 = Field.create("UNUSEDBIT_4_28", 4, FieldType.BIT, 28);
public static final Field UNUSEDBIT_4_29 = Field.create("UNUSEDBIT_4_29", 4, FieldType.BIT, 29);
public static final Field UNUSEDBIT_4_30 = Field.create("UNUSEDBIT_4_30", 4, FieldType.BIT, 30);
public static final Field UNUSEDBIT_4_31 = Field.create("UNUSEDBIT_4_31", 4, FieldType.BIT, 31);
public static final Field[] VALUES = {
RETARDTHRESHOLDRPM,
COMBINEDCONDITIONS,
LAUNCHACTIVATEPINSTATE,
ISLAUNCHCONDITION,
UNUSEDBIT_4_3,
UNUSEDBIT_4_4,
UNUSEDBIT_4_5,
UNUSEDBIT_4_6,
UNUSEDBIT_4_7,
UNUSEDBIT_4_8,
UNUSEDBIT_4_9,
UNUSEDBIT_4_10,
UNUSEDBIT_4_11,
UNUSEDBIT_4_12,
UNUSEDBIT_4_13,
UNUSEDBIT_4_14,
UNUSEDBIT_4_15,
UNUSEDBIT_4_16,
UNUSEDBIT_4_17,
UNUSEDBIT_4_18,
UNUSEDBIT_4_19,
UNUSEDBIT_4_20,
UNUSEDBIT_4_21,
UNUSEDBIT_4_22,
UNUSEDBIT_4_23,
UNUSEDBIT_4_24,
UNUSEDBIT_4_25,
UNUSEDBIT_4_26,
UNUSEDBIT_4_27,
UNUSEDBIT_4_28,
UNUSEDBIT_4_29,
UNUSEDBIT_4_30,
UNUSEDBIT_4_31,
};
}